//=============================================================================
// OsReSpawn.
//=============================================================================
class OsReSpawn extends ReSpawn;

simulated function BeginPlay()
{
	local SpriteSmokePuff b;
//	local UTSmokeTrail b;

	Super(Effects).BeginPlay();
	PlaySound(EffectSound1,,20.0,,1700);
	b = Spawn(class'SpriteSmokePuff');
	if ( b != None )
	{
		b.DrawScale = 5.000000;
		b.RemoteRole = ROLE_None;
	}
	PlayAnim('All',0.9);
}

auto state Explode
{
	simulated function Tick( float DeltaTime )
	{
		ScaleGlow = (Lifespan/Default.Lifespan);
		LightBrightness = ScaleGlow*210.0;
	}

	simulated function AnimEnd()
	{
		RemoteRole = ROLE_None;
		Destroy();
	}
}

defaultproperties
{
     EffectSound1=Sound'UnrealShare.General.DispEX1'
//   EffectSound1=Sound'UnrealShare.Generic.RespawnSound'
     bNetOptional=True
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=2.000000
     DrawType=DT_Mesh
     Style=STY_Translucent
     Texture=Texture'UnrealShare.DBEffect.de_A00'
     Mesh=LodMesh'UnrealShare.TeleEffect2'
     DrawScale=0.550000
     bUnlit=True
     bParticles=True
     LightType=LT_Steady
     LightEffect=LE_NonIncidence
     LightBrightness=220
     LightHue=30
     LightSaturation=224
     LightRadius=30
}
